Subject: Re: What's in git.git (stable frozen)

From: Junio C Hamano <[email-masked]>
Date: Mon, 07 Jan 2008 14:14:18 -0800

Christian Stimming <[email-masked]> writes:

> Am Montag, 7. Januar 2008 22:58 schrieb Paul Mackerras:
>> I'd like you to do a pull from the gitk.git master branch, but it
>> looks to me like there will be a conflict on the Makefile.
>> Unfortunately the Makefile that Christian Stimming gave me along with
>> the i18n changes is quite different from the one you currently have in
>> the gitk-git subdirectory.  I'm not quite sure what to suggest since
>> it isn't clear to me exactly what Christian's Makefile (which doesn't
>> actually work) is trying to do.  
>
> The Makefile from me was merely a placeholder where the i18n programs should 
> work, but it was clear that the installation rules need to be defined 
> differently anyway.
>
>> I guess the best thing would be to 
>> copy your Makefile over and then add the i18n stuff.
>
> Yes. I've just sent you a patch that does exactly this - that was what I 
> thought, too.

Thanks both of you.

>> Apart from the i18n changes, there is one more commit (b039f0a6) that
>> improves the appearance slightly when running under Tk8.5.
>
> Are you going to release a i18n-enabled gitk sometime soon? If yes, you should 
> consider notifying the translator(s) a few days in advance so that they can 
> finalize their translations, in case they want to avoid a half-translated 
> program to be shipped. Thanks a lot.

If I understand correctly, what Paul told me to pull contains
the i18n stuff, so assuming your adjustment to gitk Makefile
makes things cleanly merge and build inside git.git repository,
upcoming 1.5.4-rc3 will ship with the infrastructure and
existing translations, and updates to po/ files can be made
between -rc3 and the final (I do not mean there won't be -rc4.
That is also "between -rc3 and final").